Bug 1261578 - io/hpmud/pp.c 627: unable to read device-id ret=-1
io/hpmud/pp.c 627: unable to read device-id ret=-1
Status: CLOSED WONTFIX
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: hplip (Show other bugs)
6.7
Unspecified Unspecified
medium Severity medium
: rc
: ---
Assigned To: Zdenek Dohnal
qe-baseos-daemons
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-09-09 13:47 EDT by Erik M Jacobs
Modified: 2017-09-05 10:40 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2017-09-05 10:40:25 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Erik M Jacobs 2015-09-09 13:47:39 EDT
Description of problem:
Recently the scanning functions through hplip seem to have stopped working.

Version-Release number of selected component (if applicable):
[root@dumpster ~]# rpm -qa | grep -E "hplip|hpijs"
hplip-3.14.6-3.el6.x86_64
hplip-common-3.14.6-3.el6.x86_64
hplip-libs-3.14.6-3.el6.x86_64
hplip-gui-3.14.6-3.el6.x86_64
hpijs-3.14.6-3.el6.x86_64
libsane-hpaio.x86_64

How reproducible:
100%

Steps to Reproduce:
1. run xsane

Actual results:
In /var/log/messages:
Sep  9 13:43:58 dumpster xsane: io/hpmud/pp.c 627: unable to read device-id ret=-1
Sep  9 13:44:01 dumpster kernel: usb 8-2: ep 0x82 - rounding interval to 1024 microframes, ep desc says 2040 microframes
Sep  9 13:44:01 dumpster kernel: usb 8-2: ep 0x82 - rounding interval to 1024 microframes, ep desc says 2040 microframes
Sep  9 13:44:01 dumpster kernel: usb 8-2: ep 0x82 - rounding interval to 1024 microframes, ep desc says 2040 microframes
Sep  9 13:44:36 dumpster xsane: io/hpmud/pp.c 627: unable to read device-id ret=-1
Sep  9 13:44:38 dumpster xsane: io/hpmud/musb.c 392: could not remove kernel driver interface=0: Resource temporarily unavailable
Sep  9 13:44:38 dumpster xsane: io/hpmud/musb.c 392: could not remove kernel driver interface=0: Device or resource busy
Sep  9 13:44:46 dumpster xsane: io/hpmud/dot4.c 172: unable to read Dot4ReverseCmd header: No data available
Sep  9 13:44:46 dumpster xsane: io/hpmud/musb.c 1939: invalid Dot4Credit from peripheral
Sep  9 13:44:46 dumpster xsane: io/hpmud/pml.c 374: SetPml channel_write failed ret=12


A pop-up message:
Failed to open device 'hpaio:/usb/hp_LaserJet_3030?serial=00MXBM080429'

Other programs (gscan2pdf, simple-scan, etc) generate similar errors.

Expected results:
scanner should work
Comment 2 Tim Waugh 2015-09-10 11:46:11 EDT
When did this last work for you, and was it with the same device connected in the same manner?
Comment 3 Erik M Jacobs 2015-09-10 14:01:04 EDT
I couldn't give you a date specifically. This HP Laserjet 3030 has been USB connected for years and hasn't really changed. It might have changed what USB port it was attached to, or the cable, but printing functions work just fine, so I'm not sure the cable would be the issue.

I scan very rarely. Looking in my shared folders it appears the last scanned document was from February of this year (2015). The next older document was 14-Dec-2014.
Comment 4 Brian J. Murrell 2016-01-12 18:39:32 EST
Any more information here?  I'm seeing a similar thing:

Jan 12 18:37:49 pc xsane: io/hpmud/pp.c 627: unable to read device-id ret=-1
Jan 12 18:37:50 pc xsane: io/hpmud/musb.c 427: Found interface conf=0, iface=1, altset=0, index=1
Jan 12 18:37:50 pc xsane: io/hpmud/musb.c 389: Active kernel driver on interface=1 ret=0
Jan 12 18:37:50 pc xsane: io/hpmud/musb.c 535: claimed 7/1/2 interface
Jan 12 18:37:50 pc xsane: io/hpmud/musb.c 779: read actual device_id successfully fd=1 len=165
Jan 12 18:37:50 pc xsane: io/hpmud/musb.c 561: released 7/1/2 interface
Jan 12 18:37:50 pc xsane: common/utils.c 188: unable to load library libm.so: /lib64/libm.so: invalid ELF header
Jan 12 18:37:50 pc xsane: common/utils.c 130: validate_plugin_version() Plugin version[3.15.7] mismatch with HPLIP version[3.15.11]
Jan 12 18:37:50 pc xsane: common/utils.c 157: Plugin version is not matching
Jan 12 18:37:50 pc xsane: common/utils.c 220: Invalid Library hanlder pLibHandler = NULL.
Comment 6 Tomáš Hozza 2017-09-05 10:40:25 EDT
Red Hat Enterprise Linux 6 transitioned to the Production 3 Phase on May 10, 2017.  During the Production 3 Phase, Critical impact Security Advisories (RHSAs) and selected Urgent Priority Bug Fix Advisories (RHBAs) may be released as they become available.

The official life cycle policy can be reviewed here:
http://redhat.com/rhel/lifecycle

This issue does not appear to meet the inclusion criteria for the Production Phase 3 and will be marked as CLOSED/WONTFIX. If this remains a critical requirement, please contact Red Hat Customer Support to request a re-evaluation of the issue, citing a clear business justification.  Red Hat Customer Support can be contacted via the Red Hat Customer Portal at the following URL:

https://access.redhat.com

Note You need to log in before you can comment on or make changes to this bug.